Summary: A collection of GTK+ widgets useful for audio applications
Name:          phat
Version:       0.4.1
Release:       13%{?dist}
License:       GPLv2+
Group:         System Environment/Libraries
URL:           http://phat.berlios.de/
Source0:       http://download.berlios.de/%{name}/%{name}-%{version}.tar.gz
# Remove unused variables - to be submitted upstream
Patch0:        phat-unused-but-set-variable.patch
Patch1:        phat-fix-fsf-address.patch
Patch2:        phat-gdk-unref.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel 
BuildRequires: libgnomecanvas-devel

%description
PHAT is a collection of GTK+ widgets geared toward pro-audio apps. The
goal is to eliminate duplication of effort and provide some
standardization (well, at least for GTK+ apps).

%package devel
Summary:       Header files for PHAT 
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and additional libraries used for developing applications
with the PHAT Audio Toolkit.

%package docs
Summary:       Documentation for PHAT 
Group:         Development/Libraries

%description docs
Documentation for the PHAT Audio Toolkit.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --enable-debug --disable-static
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm %{buildroot}%{_libdir}/libphat.*a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/phat*
%{_libdir}/libphat.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_libdir}/libphat.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}

%files docs
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 25 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.4.1-9
- Fix deprecated gdk_pixbuf_unref

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 15 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-6
- remove gtk-doc requires

* Mon Nov 28 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-5
- remove uneccessary build requires  from doc package.

* Sun Jul 24 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-4
- correct spelling

* Sat Jul 23 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-3
- correct spelling

* Sat Jul 23 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-2
- correct gtk-doc Requires and macros, removed static libraries
- adjusted description and soname mask

* Thu Jul 21 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-1
- initial build, seeded from CCRMA phat-0.4.1-1.fc14.ccrma.src.rpm
